package com.aliyun.mts.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.List;

/**
 * Created by zhongyizengzy on 17/9/11.
 */
public class Output {
    @JSONField(name = "TemplateId")
    private String templateId;
    @JSONField(name = "OutputObject")
    private String outputObject;
    @JSONField(name = "WaterMarks")
    private List<WaterMark> waterMarks;


    public Output(String templateId, String outputObject, List<WaterMark> waterMarks) {
        this.setTemplateId(templateId);
        this.setOutputObject(outputObject);
        this.setWaterMarks(waterMarks);

    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getOutputObject() {
        return outputObject;
    }

    public void setOutputObject(String outputObject) {
        this.outputObject = outputObject;
    }

    public List<WaterMark> getWaterMarks() {
        return waterMarks;
    }

    public void setWaterMarks(List<WaterMark> waterMarks) {
        this.waterMarks = waterMarks;
    }
}
